Bug 88187 - .la files not included
.la files not included
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: libglade2 (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 09:59 EDT by M Runesson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-07 10:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M Runesson 2003-04-07 09:59:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The .la-files were removed Oct 8 2002. These files are needed whe, for instance,
compiling gtk-sharp version 0.8.

Please include it again. 


Version-Release number of selected component (if applicable):
2.0.1-3

How reproducible:
Always

Steps to Reproduce:
download gtk-sharp from http://gtk-sharp.sf.net
Compile gtk-sharp v 0.8


    

Actual Results:  You get an error that /usr/lib/libglade2-2.0.la is missing

Expected Results:  Working compilation.

Additional info:

Here is a diff of the spec-file to fix it.

10c10
< Release: 4
---
> Release: 3
60a61,62
> rm $RPM_BUILD_ROOT%{_libdir}/*.la
>
77d78
< %{_libdir}/lib*.la
84,86d84
< * Fri Apr 7 2003 Magnus Runesson <M.Runesson@computer.org> 2.0.1-4
< - Add libglade2.la to devel package.
<
Comment 1 Owen Taylor 2003-04-07 10:17:01 EDT
Our policy is never to include .la files, and they are never
needed. They simply duplicate information that is included 
in the shared library itself on linux, and lead to all
sorts of problems.

What happened is that you compiled some other library yourself
that dependended on libglade's .la files, and that .la file 
got a hard-coded reference to the .la file that was removed. 
Once you fix that problem (grep libglade /usr/lib/*.la) things
will be fine.

Note You need to log in before you can comment on or make changes to this bug.